DUET PlatformDocs
API referenceRead APIIngest

Start a file upload

available
POST
/platform/v1/ingest/file-upload/initiate

Authorization

Bearer
headerAuthorizationBearer <token>

Header Parameters

Accept*"application/json"
Value in"application/json"

Request Body

application/json
  1. body
project_id*string
filename*string
content_type*string
file_size*number

Response Body

DUET started the multipart upload. The response has the upload ID, the chunk size, and an upload URL for each part.

application/json
  1. response
upload_id*string
chunk_size*number
targets*array<>
Example Request
curl -X POST 'https://api.enurgen.com/platform/v1/ingest/file-upload/initiate' \  -H 'Accept: application/json' \  -H 'Content-Type: application/json' \  -d '{  "project_id": "string",  "filename": "string",  "content_type": "string",  "file_size": 0}'
Example Response
{  "upload_id": "string",  "chunk_size": 0,  "targets": [    {      "part_number": 0,      "url": "string",      "expires_at": "string"    }  ]}